Fetch external IDs
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{{person_id}}/external_ids' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}/external_ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{{person_id}}/external_ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"facebook_id": "TomHanks",
"freebase_id": "/en/tom_hanks",
"freebase_mid": "/m/0bxtg",
"id": 31,
"imdb_id": "nm0000158",
"instagram_id": "tomhanks",
"tiktok_id": "tomhanks",
"tvrage_id": 14293,
"twitter_id": "tomhanks",
"wikidata_id": "Q2263",
"youtube_id": null
}People
Fetch external IDs
This endpoint allows you to get the external ID’s that belong to a person.
GET
/
person
/
{person_id}
/
external_ids
Fetch external IDs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Fetch external IDs
Example:
"TomHanks"
Example:
"/en/tom_hanks"
Example:
"/m/0bxtg"
Example:
31
Example:
"nm0000158"
Example:
"tomhanks"
Example:
"tomhanks"
Example:
14293
Example:
"tomhanks"
Example:
"Q2263"
⌘I